PACKAGE_xtables-nft?

With the switch to FW4 do I require to disable PACKAGE_xtables-legacy and enable PACKAGE_xtables-nft ond or run both.

I dont really under stand if i have to enable legacy or nft or both with the switch to fw4 or if it is needed.

What packages do I need to enable with the switch to FW4 as im building my own target and I dont have a config seed and tto be honest im a bit lost.